View Issue Details

IDProjectCategoryView StatusLast Update
03107User patchesSurvey designpublic2012-06-21 13:29
Reporterstryker Assigned Tomachaven  
PrioritynormalSeverityfeature 
Status closedResolutionsuspended 
Product Version1.82 
Target VersionFixed in Version 
Summary03107: Selective Question Randomization
Description

With this workaround you are able to select which groups within a survey should have their questions randomized and not kept in order. This workaround also adds a tab in the question ordering page. The extra tab allows you to enable / disable question randomization for the selected group.

Additional Information

This might not work when adding conditions or assessments to the survey. Please report your findings on this forum thread:
http://www.limesurvey.org/component/option,com_fireboard/Itemid,105/func,view/catid,6/id,26728/lang,en/

Tagsgroups, questions, random
Complete LimeSurvey version number (& build)

Relationships

related to 00557 resolved Random Groups 

Activities

2009-05-04 19:38

 

selective_random_questions.txt.pdf (35,348 bytes)

user372

2009-05-04 21:52

  ~07793

Hi, Thx, but please attach a SVN Diff patch build on the latest stable or development branch.

Here you'll find an information how to get the latest version(s):
http://docs.limesurvey.org/tiki-index.php?page=Accessing%20the%20Source%20Code&structure=

c_schmitz

c_schmitz

2010-03-13 18:29

administrator   ~11329

Stryker, are you interested to create a generic patch and so have implemented that functionality into the core?

c_schmitz

c_schmitz

2010-03-22 17:35

administrator   ~11463

Missing feedback. Keeping it around for now.

machaven

machaven

2010-04-19 14:14

reporter   ~11624

I will be investigating and implementing a solution for this.

Issue History

Date Modified Username Field Change
2009-05-04 19:38 stryker New Issue
2009-05-04 19:38 stryker File Added: selective_random_questions.txt.pdf
2009-05-04 19:39 stryker Tag Attached: groups
2009-05-04 19:39 stryker Tag Attached: random
2009-05-04 19:40 stryker Tag Attached: questions
2009-05-04 21:52 user372 Note Added: 07793
2010-03-11 12:48 c_schmitz Assigned To => c_schmitz
2010-03-11 12:48 c_schmitz Status new => acknowledged
2010-03-13 18:29 c_schmitz Note Added: 11329
2010-03-13 18:29 c_schmitz Status acknowledged => feedback
2010-03-14 00:08 c_schmitz Relationship added related to 00557
2010-03-22 17:35 c_schmitz Note Added: 11463
2010-03-22 17:35 c_schmitz Assigned To c_schmitz =>
2010-03-22 17:35 c_schmitz Status feedback => confirmed
2010-04-19 14:13 machaven Status confirmed => assigned
2010-04-19 14:13 machaven Assigned To => machaven
2010-04-19 14:14 machaven Note Added: 11624
2012-06-21 13:29 c_schmitz Status assigned => closed
2012-06-21 13:29 c_schmitz Resolution open => suspended